org.apache.sis.metadata.iso

## Class DefaultFeatureTypeList

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultFeatureTypeList

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, FeatureTypeList

  Deprecated.
  Not anymore part of ISO 19115.

      @Deprecated
      public class DefaultFeatureTypeList
      extends ISOMetadata
      implements FeatureTypeList

  List of names of feature types with the same spatial representation (same as spatial attributes). The following properties are mandatory in a well-formed metadata according ISO 19115:
  `MD_FeatureTypeList` `├─spatialObject………………` Instance of a type defined in the spatial schema. `└─spatialSchemaName……` Name of the spatial schema used.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFeatureTypeList()` Deprecated. Construct an initially empty feature type list.
    `DefaultFeatureTypeList(FeatureTypeList object)` Deprecated. Constructs a new instance initialized with the values from the specified metadata object.
    `DefaultFeatureTypeList(String spatialObject, String spatialSchemaName)` Deprecated. Creates a feature type list initialized to the given values.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultFeatureTypeList` | `castOrCopy(FeatureTypeList object)` Deprecated. Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `String` | `getSpatialObject()` Deprecated. Instance of a type defined in the spatial schema.
    `String` | `getSpatialSchemaName()` Deprecated. Name of the spatial schema used.
    `void` | `setSpatialObject(String newValue)` Deprecated. Sets the instance of a type defined in the spatial schema.
    `void` | `setSpatialSchemaName(String newValue)` Deprecated. Sets the name of the spatial schema used.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFeatureTypeList

          public DefaultFeatureTypeList()

      Deprecated.
      Construct an initially empty feature type list.

    - #### DefaultFeatureTypeList

          public DefaultFeatureTypeList(String spatialObject,
                                        String spatialSchemaName)

      Deprecated.
      Creates a feature type list initialized to the given values.
      Parameters:
        `spatialObject` - the instance of a type defined in the spatial schema, or `null` if none.
        `spatialSchemaName` - the name of the spatial schema used, or `null` if none.

    - #### DefaultFeatureTypeList

          public DefaultFeatureTypeList(FeatureTypeList object)

      Deprecated.
      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(FeatureTypeList)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultFeatureTypeList castOrCopy(FeatureTypeList object)

      Deprecated.
      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultFeatureTypeList`, then it is returned unchanged.
      - Otherwise a new `DefaultFeatureTypeList` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getSpatialObject

          public String getSpatialObject()

      Deprecated.
      Instance of a type defined in the spatial schema.
      Specified by:
        `getSpatialObject` in interface `FeatureTypeList`
      Returns:
        instance of a type defined in the spatial schema, or `null`.

    - #### setSpatialObject

          public void setSpatialObject(String newValue)

      Deprecated.
      Sets the instance of a type defined in the spatial schema.
      Parameters:
        `newValue` - the new spatial object.

    - #### getSpatialSchemaName

          public String getSpatialSchemaName()

      Deprecated.
      Name of the spatial schema used.
      Specified by:
        `getSpatialSchemaName` in interface `FeatureTypeList`
      Returns:
        name of the spatial schema used, or `null`.

    - #### setSpatialSchemaName

          public void setSpatialSchemaName(String newValue)

      Deprecated.
      Sets the name of the spatial schema used.
      Parameters:
        `newValue` - the new spatial schema.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.